<template>
  <div id="what-i-do">

    <div class="body">
      <Legend text="Ce que je fais"/>
      <div class="catchphrase">
        Je suis développeur polyvalent,
        <br/>
        PWA, Logiciel, Applis...
      </div>
      <div class="keywords">
        Penser. Concevoir. Créer.
      </div>
      <form method="post" action="mailto:youremail@youremail.com" >
        <div class="contact">
          <input type="submit" value="Contactez moi" />
          <v-icon dark>mdi-arrow-right</v-icon>
        </div>
      </form>

    </div>
    <kinesis-container class="illustration" event="scroll">
      <kinesis-element type="rotate" transformOrigin="0% 50%" class="rectangle rectangle-blue" :strength="80"></kinesis-element>
      <kinesis-element type="rotate" transformOrigin="0% 50%" class="rectangle rectangle-yellow" :strength="160"></kinesis-element>
      <kinesis-element type="rotate" transformOrigin="0% 50%" class="rectangle rectangle-green" :strength="-160"></kinesis-element>
    </kinesis-container>
  </div>
</template>

<script>
import Legend from "@/section/Legend";
export default {
  components: {Legend}
}
</script>
<style scoped lang="scss">
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');
$primary-color: #5B71EB;

  * {
    font-family: 'Poppins', sans-serif;
    color: white;
  }

  #what-i-do {
    min-height: 100vh;
    display: flex;
    background-color: #313131;
    padding: calc(100% / 12);
  }

  .body {
    display: flex;
    flex-direction: column;
    box-sizing: content-box;
    max-width: 33.33%;
    flex-grow: 1;
  }

  .body > * {
    z-index: 1000;
  }

  .catchphrase {
    font-size: 32px;
    line-height: 1.5;
    letter-spacing: -.15px;
    font-weight: 600;
  }

  .keywords {
    margin-bottom: 72px;
    font-size: 5vw;
    line-height: 1.02;
    letter-spacing: -1.3px;
    font-weight: 600;
  }

  .contact {
    width: 200px;
    background-color: $primary-color;
    color: white;
    padding: 10px 20px 10px 20px;
    border-radius: 10px;
    display: flex;
    justify-content: space-between;
  }

  .illustration {
    position: relative;
    margin-top: 5px;
    height: 30vh;
    flex-grow: 2;
    width: auto;
  }

  .rectangle {
    border-radius: 10%;
    transform: rotate(45deg);
  }

  .rectangle.rectangle-yellow {
    position: absolute;
    padding: 8vh;
    left: calc(40% - 8vh);
    top: 0;
    z-index: 10;
    background-color: bisque;
  }

  .rectangle.rectangle-blue {
    position: absolute;
    padding: 14vh;
    left: calc(50% - 14vh);
    top: 20vh;
    z-index: 1;
    background-color: #5B71EB;
  }

  .rectangle.rectangle-green {
    position: absolute;
    padding: 5vh;
    left: calc(65% - 5vh);
    top: 10vh;
    z-index: 1;
    background-color: #48D48E;
  }


@media (max-width: 960px) {
  #what-i-do {
    flex-direction: column;
  }

  .body {
    width: 100%;
    max-width: 100%
  }

  .keywords {
    margin-bottom: 72px;
    font-size: 61px;
    line-height: 1.02;
    letter-spacing: -1.3px;
    font-weight: 600;
  }

}

@media (max-width: 320px) {
  #what-i-do {
    flex-direction: column;
  }

  .body {
    width: 100%;
    max-width: 100%
  }

  .catchphrase {
    font-size: 26px;
    font-weight: normal;
  }

  .keywords {
    font-size: 48px;
  }

}

@media (orientation: portrait) {
  .keywords {
    margin-bottom: 10px;
  }

  .illustration {
    min-height: 30vw;
  }

  .rectangle.rectangle-yellow {
    padding: 8vw;
    left: calc(30%);
    top: 0;
  }

  .rectangle.rectangle-blue {
    padding: 14vw;
    left: calc(50%);
    top: 20vw;
  }

  .rectangle.rectangle-green {
    padding: 5vw;
    left: calc(70%);
    top: 10vw;
  }

}
</style>
